<? 
require_once('../conf/connection.php');

$numero = $_GET["numero"];
$rut = $_GET["rut"];
$fecha= date("Y-m-d");

$tipo=3; //1= boleta // 2= factura

if($numero=="" or $rut==""){
	?><script>alert("Existen campos vacíos, verifique la información...");window.history.back();</script> <? 
	
	}else{
//extraer la suma total del pedido
       $query_valor="SELECT SUM(valor_total) AS total_venta FROM detalles_pedido WHERE numero='$numero'";
	   $res_valor=mysql_query($query_valor);
	   $total_venta=mysql_result($res_valor,0,"total_venta");
	   
       //estraemos numero de factura.
       $query_num="SELECT * FROM num_cotizacion";
	   $res_num=mysql_query($query_num);
	   $num_ant=mysql_result($res_num,0,"num");
       // sumar 1 al numero anterior.
       $factura=$num_ant+1;
       // actualizar base de datos.
       $query_actualiza="UPDATE num_cotizacion SET num='$factura' ";
	   $res_actualiza=mysql_query($query_actualiza);
 
	   
//insertamos pedidod a la base de datos 
           
		 $insertar="insert into tp_doc (iddoc, cantidad, valor_unitario, valor_total, numero, pedido,tipo,fecha,RUT) 
		 values (";
		 $insertar.="\"\", \"$cantidad\",\"$valor_unit\",\"$total_venta\",\"$factura\",\"$numero\",\"$tipo\",\"$fecha\",\"$rut\")";       
        
//enviamos el query mediante la funcion mysql_query()
			mysql_query($insertar, $conn) or die("Error en el query: ".mysql_error());
			mysql_close($conn);

			?> 
			<script> 
			alert("Documento registrado, con éxito! ");window.opener.location.reload();window.close();
			window.open("../admin/cotizacion/rejilla_imprime.php?num=<? echo $factura ?>");
            </script>
<? } ?> 